Subject: Re: [DRAFT] Branching and merging with git

From: Jakub Narebski <[email-masked]>
Date: Fri, 17 Nov 2006 10:41:29 +0100

[email-masked] wrote:

> There is always a current head, known as HEAD.  (This is actually a
> symbolic link, .git/HEAD, to a file like refs/heads/master.)

Usually this is symref, not symlink, i.e. .git/HEAD (or rather
$GIT_DIR/HEAD) is a file which contains single line like this:

  ref: refs/heads/master

There is a talk about relaxing HEAD restriction to allow it to contain ref
to tag, or bare SHA1 id for "seeking"; you are forbidden to commit to such
state.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git